## condor 7.6.0

=== CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

##########################################################################
# Set project
project(CONDOR)
cmake_minimum_required(VERSION 2.8)

##########################################################################
#Setup package meta-data (used in packaging)
set(PACKAGE "condor")

# Condor version info
#   Condor and other systems parse this number. Keep it simple:
#   Number.Number.Number. Do nothing else.  If you need to add
#   more information, PRE_RELEASE is usually the right location.
set(VERSION "7.6.0")

# Set PRE_RELEASE to either a string (i.e. "PRE-RELEASE-UWCS") or OFF
#   This shuld be "PRE-RELEASE-UWCS most of the time, and OFF when
#   building a release candidate.  If you need to identify builds,
#   perhaps because you are working on a feature branch and need to
#   ship test binaries to a user, change this to identify your work.
#   Avoid whitespace.
#set(PRE_RELEASE "PRE-RELEASE-UWCS")
set(PRE_RELEASE OFF)

# If set via the cmake command line, FORCE_PRE_RELEASE allows for
#   PRE_RELEASE to be forced into a build.
#   cmake ... -DFORCE_PRE_RELEASE:STRING=PRE-RELEASE-NMI
if( FORCE_PRE_RELEASE )
  set(PRE_RELEASE ${FORCE_PRE_RELEASE})
endif( FORCE_PRE_RELEASE )

set(PACKAGE_BUGREPORT "http://condor-wiki.cs.wisc.edu/index.cgi/tktnew")
set(PACKAGE_NAME ${PACKAGE} )
set(PACKAGE_VERSION ${VERSION} )
set(PACKAGE_STRING ${PACKAGE} )
string( TOUPPER "${CMAKE_SYSTEM_NAME}" OS_NAME )
string( TOUPPER "${CMAKE_SYSTEM_VERSION}" OS_VER )
string( TOUPPER "${CMAKE_SYSTEM_PROCESSOR}" SYS_ARCH )
site_name(HOSTNAME)
option(_DEBUG "Debug statements and set default build config" OFF)

###########################################
# start cmake module inclusion
list(APPEND CMAKE_MODULE_PATH ${CONDOR_SOURCE_DIR}/build/cmake/macros;${CONDOR_SOURCE_DIR}/build/cmake/modules;${CONDOR_SOURCE_DIR}/build/cmake)
#include (FeatureSummary)
include (dprint) # set debug module 1st to all spewing in other modules if needed
include (AppendVar)
include (CommandTarget)
include (gSOAPGen)
include (CloneInstall)
include (FindMultiple)
include (ExternalProjectPatched)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include (CheckStructHasMember)
include (CheckTypeExists)
include (CheckLibraryExists)
include (CheckTypeSize)
include (GetTimeDate)
include (CleanString)
include (PackageDate)
include (SystemSpecificInformations)
include (CondorPackageConfig) # setup packaging variables needed prior to install targets
include (CondorGlob)
include (CondorSelectiveGlob)
include (CondorSetLinkLibs)
include (CondorExe)
include (CondorDaemon)
include (CondorPrecompiledHeaders)
include (CondorStaticLib)
include (CondorPlugin)
include (CheckCXXCompilerFlag)
include (CheckCXXSourceCompiles)
include (CondorConfigure)     # will initiate the configure
include (AddSubdirectories)
include (CondorPLTest)
include (CondorExeTest)
include (CondorStdExeTest)
include (SrcTargetRef)
include (DumpLocalFlags)
include (TarGz) # Must be after include(CondorPackageConfig)

if ( WINDOWS )
	set_property(GLOBAL PROPERTY USE_FOLDERS ON)
endif ( WINDOWS )
##########################################################################
# we only include the single sub to allow make at two levels.
# root - includes externals
# src - src -> only
# this way clean @ root cleans externals while clean @src cleans just the src.
add_subdirectory (src)

# if the man pages exist then install them
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/doc/man")
  #Use trailing slash; otherwise, it will be C_MAN/man
  install( DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc/man/ DESTINATION ${C_MAN} )
endif()

##########################################################################
# Must in included post *install targets
include ( CPack )

##########################################################################
# print out the summary info: http://www.cmake.org/cmake/help/cmake-2-8-docs.html#module:FeatureSummary
#feature_summary(WHAT ENABLED_FEATURES DESCRIPTION "Enabled Features:" VAR enabledFeaturesText)
#feature_summary(WHAT DISABLED_FEATURES DESCRIPTION "Disabled Features:" VAR disabledFeaturesText)
#message(STATUS "*FEATURES:* http://www.cmake.org/cmake/help/cmake-2-8-docs.html#module:FeatureSummary
#${enabledFeaturesText}")
#message(STATUS "${disabledFeaturesText}")

=== doc/Makefile ===
SUBDIR = v7.6.0
SUBVER = V7_6_0
MANDIR = /p/condor/public/html/manual/$(SUBDIR)
TARGETDIR = $(MANDIR).new
LOCALDIR = ref-v760
MANPAGES = cleanup_release.html condor_advertise.html condor_checkpoint.html condor_check_userlogs.html condor_chirp.html condor_cod.html condor_cold_start.html condor_cold_stop.html condor_compile.html condor_config_bind.html condor_configure.html condor_config_val.html condor_convert_history.html condor_dagman.html condor_fetchlog.html condor_findhost.html condor_glidein.html condor_history.html condor_hold.html condor_load_history.html condor_master.html condor_master_off.html condor_off.html condor_on.html condor_power.html condor_preen.html condor_prio.html condor_qedit.html condor_q.html condor_reconfig.html condor_reconfig_schedd.html condor_release.html condor_reschedule.html condor_restart.html condor_rm.html condor_router_history.html condor_procd.html condor_router_q.html condor_run.html condor_set_shutdown.html condor_ssh_to_job.html condor_stats.html condor_status.html condor_store_cred.html condor_submit_dag.html condor_submit.html condor_transfer_data.html condor_updates_stats.html condor_userlog.html condor_userprio.html condor_vacate.html condor_vacate_job.html condor_version.html condor_wait.html filelock_midwife.html filelock_undertaker.html gidd_alloc.html install_release.html procd_ctl.html uniq_pid_midwife.html uniq_pid_undertaker.html

# NOTE: older latex versions do not support -halt-on-error
#       including /p/condor/workspaces/build/bin/latex, unfortunately
LATEXARGS := -file-line-error-style $(shell latex --help | grep -o -- -halt-on-error)

all:  ref.dvi
#all:  man.ps

ref.pdf: clean
	echo "\usepackage{times} \usepackage[latex2html,ps2pdf,bookmarks,bookmarksnumbered,plainpages=false,pdfpagelabels]{hyperref}" > timesfont.tex
	rm -f fontsize.tex
	rm -f symbol.tex
	rm -f figuresizing.tex
	ln -s regularfont.tex fontsize.tex
	ln -s symbol-postscript.tex symbol.tex
	ln -s figuresizing-latex.tex figuresizing.tex
	make figures
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	makeindex ref
	latex $(LATEXARGS)  ref.tex
	rm -f ref.ps
	dvips ref.dvi -o ref.ps
	rm -f ref.pdf
	gs -sDEVICE=pdfwrite -sOutputFile=ref.pdf -dNOPAUSE -dBATCH ref.ps
	rm -f ref.dvi
	rm -f ref.ps

release-pdf: ref.pdf $(TARGETDIR)
	cp ref.pdf $(TARGETDIR)/condor-$(SUBVER)-Manual.pdf

ref.dvi: clean
	echo "% do not want times" > timesfont.tex
	rm -f fontsize.tex
	rm -f symbol.tex
	rm -f figuresizing.tex
	ln -s smallfont.tex fontsize.tex
	ln -s symbol-postscript.tex symbol.tex
	ln -s figuresizing-latex.tex figuresizing.tex
	make figures
	latex $(LATEXARGS) ref.tex
	latex $(LATEXARGS) ref.tex
	latex $(LATEXARGS) ref.tex
	latex $(LATEXARGS) ref.tex
	latex $(LATEXARGS) ref.tex
	makeindex ref
	latex $(LATEXARGS) ref.tex

ref.ps: ref.dvi
	dvips ref.dvi -o ref.ps

release-ps: ref.ps $(TARGETDIR)
	cp ref.ps $(TARGETDIR)/ref.ps
	cp $(TARGETDIR)/ref.ps $(TARGETDIR)/condor-$(SUBVER)-Manual.ps
	compress $(TARGETDIR)/condor-$(SUBVER)-Manual.ps
	cp $(TARGETDIR)/ref.ps $(TARGETDIR)/condor-$(SUBVER)-Manual.ps
	gzip $(TARGETDIR)/condor-$(SUBVER)-Manual.ps
	mv $(TARGETDIR)/ref.ps $(TARGETDIR)/condor-$(SUBVER)-Manual.ps

ref.html: clean $(TARGETDIR)
	echo "% do not want times" > timesfont.tex
	rm -f fontsize.tex
	rm -f symbol.tex
	rm -f figuresizing.tex
	ln -s regularfont.tex fontsize.tex
	ln -s symbol-html.tex symbol.tex
	ln -s figuresizing-html.tex figuresizing.tex
	make figures
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	makeindex ref
	latex $(LATEXARGS)  ref.tex
	latex2html -address condor-admin@cs.wisc.edu -split 4 -link 2 -show_section_numbers -antialias -tmp /tmp -long_titles 3 -toc_depth 2 -local_icons ref.tex
	rm -f ref.dvi
	mv ref condor-$(SUBVER)-Manual
	tar cvf condor-$(SUBVER)-Manual.tar condor-$(SUBVER)-Manual

	gzip -c condor-$(SUBVER)-Manual.tar > condor-$(SUBVER)-Manual.tar.gz
	compress condor-$(SUBVER)-Manual.tar

	mv condor-$(SUBVER)-Manual.tar.gz condor-$(SUBVER)-Manual
	mv condor-$(SUBVER)-Manual.tar.Z condor-$(SUBVER)-Manual

	mv condor-$(SUBVER)-Manual ref.new

	mv -f ref.new/* $(TARGETDIR)
	rmdir ref.new
	touch ref.html

local.html: $(wildcard *.tex) $(wildcard */*.tex)
	echo "% do not want times" > timesfont.tex
	rm -f fontsize.tex
	rm -f symbol.tex
	rm -f figuresizing.tex
	ln -s regularfont.tex fontsize.tex
	ln -s symbol-html.tex symbol.tex
	ln -s figuresizing-html.tex figuresizing.tex
	make figures
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	latex $(LATEXARGS)  ref.tex
	makeindex ref
	latex $(LATEXARGS)  ref.tex
	latex2html -address condor-admin@cs.wisc.edu -split 4 -link 2 -show_section_numbers -antialias -tmp /tmp -long_titles 3 -toc_depth 2 -local_icons ref.tex
	rm -rf $(LOCALDIR)
	mv    ref $(LOCALDIR)
	touch local.html

release-html: ref.html $(TARGETDIR)
	rm -rf $(MANDIR).old
	touch $(MANDIR)
	mv -f $(MANDIR) $(MANDIR).old
	mv -f $(TARGETDIR) $(MANDIR)
	rm -f ref.html

admin-man/pool-arch.eps: admin-man/pool-arch.fig
	rm -f $@
	fig2dev -L eps -m .4 $< > $@

user-man/dagman-diamond.eps: user-man/dagman-diamond.fig
	rm -f $@
	fig2dev -L eps -m .6 $< > $@

user-man/dagman-node.eps: user-man/dagman-node.fig
	rm -f $@
	fig2dev -L eps -m .6 $< > $@

figures: admin-man/machine-states.eps admin-man/machine-activities.eps admin-man/pool-arch.eps user-man/dagman-diamond.eps user-man/dagman-node.eps

# commented out by Karen on Dec 14, 2010, as no one uses it, and it is wrong
# for pulling manual pages.  Target 'just-man-pages' is used.
#HTML_FOR_NROFF = $(shell \ls $(LOCALDIR)/condor_*.html)

#nroff: local.html
#	\rm -rf man
#	mkdir man
#	mkdir man/man1
#	cd makeman && make clean
#	cd makeman && make makeman
#	cd ..
#	for html in $(HTML_FOR_NROFF); do \
		makeman/makeman -v -i $$html -s 1; \
	done
#	mv $(LOCALDIR)/*.1 man/man1/

#ref.nroff: nroff $(TARGETDIR)
#	rm -f condor-$(SUBVER)-man.tar.gz condor-$(SUBVER)-man.tar
#	tar cf condor-$(SUBVER)-man.tar man
#	gzip condor-$(SUBVER)-man.tar
#	mv condor-$(SUBVER)-man.tar.gz $(TARGETDIR)

$(TARGETDIR):
	mkdir $(TARGETDIR)

clean:
	rm -rf $(LOCALDIR) ref ref.new man user admin *.1 *.dvi *.ps *.html *.log *.aux *.toc *.pdf */*.log *.ind *.idx *.ilg timesfont.tex user-man/dagman-diamond.eps user-man/dagman-node.eps admin-man/pool-arch.eps *.out
	cd makeman; make clean

reallyclean: clean
	rm -rf $(TARGETDIR)

release:
	make reallyclean
	make release-ps
	make release-pdf
	make release-html

.PHONY: just-man-pages

just-man-pages:
	echo "% do not want times" > timesfont.tex
	rm -f fontsize.tex
	rm -f symbol.tex
	rm -f figuresizing.tex
	ln -s regularfont.tex fontsize.tex
	ln -s symbol-html.tex symbol.tex
	ln -s figuresizing-html.tex figuresizing.tex
	cd makeman && make clean makeman
	latex2html -address condor-admin@cs.wisc.edu -split 4 -link 2 -show_section_numbers -antialias -tmp /tmp -long_titles 3 -toc_depth 2 -local_icons just-man-pages.tex
	for html in $(MANPAGES); do \
		thisfile=just-man-pages/$$html; \
		makeman/makeman -v -i $$thisfile -s 1; \
	done
	-mkdir man
	-mkdir man/man1
	mv just-man-pages/*.1 man/man1

=== src/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

##########################################################################
# adds all subtree elements which have a CMakeLists.txt file exclude
# classads b/c we added earlier to elim externals dependency - all externals reference
# one version of classads which is ${CONDOR_SOURCE_DIR}/src/classad

# the 2nd arg is prio order for symbols ripping to prevent .o copy-mindging within the std:u
add_subdirectories("${CONDOR_SOURCE_DIR}/src"
	"${CONDOR_SOURCE_DIR}/src/condor_utils;${CONDOR_SOURCE_DIR}/src/condor_ckpt;${CONDOR_SOURCE_DIR}/src/condor_io;${CONDOR_SOURCE_DIR}/src/condor_io.std;${CONDOR_SOURCE_DIR}/src/condor_syscall_lib"
	"${CONDOR_SOURCE_DIR}/src/classad")

if (BUILD_TESTS AND NOT WINDOWS)
	add_custom_target(tests)
	add_dependencies(tests ${CONDOR_TESTS})
	dprint("CONDOR_TESTS=${CONDOR_TESTS}")
endif()

if (WANT_FULL_DEPLOYMENT)
	install ( FILES condor_includes/condor_ast.h
			  condor_includes/condor_astbase.h
			  condor_includes/condor_attrlist.h
			  condor_includes/condor_classad.h
			  condor_includes/condor_constants.h
			  condor_includes/condor_exprtype.h
			  condor_includes/condor_header_features.h
			  condor_includes/condor_parser.h
			  condor_includes/file_lock.h
			  condor_utils/iso_dates.h
			DESTINATION ${C_INCLUDE})
endif(WANT_FULL_DEPLOYMENT)

=== src/.deprecate_classad.old/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 


if (WANT_OLD_CLASSADS)
	file( GLOB ClassAdsOldRmvSrcs classad_lookup* *test*)

	condor_glob( ClassAdsOldHdrs ClassAdsOldSrcs "${ClassAdsOldRmvSrcs}" )

	#create the library
	condor_static_lib( classad.old "${ClassAdsOldHdrs};${ClassAdsOldSrcs}" )
else()
	message(STATUS "NOTE: skipping classads.old")
endif()

=== src/ccb/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

condor_glob(ccbHdrs ccbSrcs "")
condor_static_lib( ccb "${ccbHdrs};${ccbSrcs}" )

=== src/classad/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

add_definitions(-DCLASSAD_DISTRIBUTION -DWANT_CLASSAD_NAMESPACE=1 -DDISABLE_DLOPEN_CHECK )

# disable PCRE build unless dep added to externals.
if(PCRE_FOUND)
	add_definitions(-DUSE_PCRE -DHAVE_PCRE_H)
else()
	add_definitions(-DUSE_POSIX_REGEX) 
endif(PCRE_FOUND)

# in order to update configure
if (NOT WINDOWS)

  # because of the external dependencies on classads we need to be careful to make it look like a normal install
  file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/classad DESTINATION ${EXTERNAL_STAGE}/include )

  if (WANT_FULL_DEPLOYMENT)
	install( DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/classad DESTINATION ${C_INCLUDE} )
  endif()

  condor_selective_glob("attrrefs.*;classad.*;collection.*;collectionBase.*;debug.*;exprList.*;exprTree.*;fnCall.*;indexfile.*;lexer.*;lexerSource.*;literals.*;matchClassad.*;operators.*;query.*;sink.*;source.*;transaction.*;util.*;value.*;view.*;xmlLexer.*;xmlSink.*;xmlSource.*;cclassad.*;common.*" ClassadSrcs)

  add_library( classads STATIC ${ClassadSrcs} )
  set_target_properties( classads
	PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${EXTERNAL_STAGE}/lib 
	LIBRARY_OUTPUT_DIRECTORY ${EXTERNAL_STAGE}/lib
	RUNTIME_OUTPUT_DIRECTORY ${EXTERNAL_STAGE}/lib
	OUTPUT_NAME classad_ns)

else()
	
	# I should probably just add all and subtract tests.
	condor_selective_glob("attrrefs.cpp;common.cpp;collection*;fnCall.cpp;expr*;indexfile*;lexer*;literals.cpp;matchClassad.cpp;classad.cpp;debug.cpp;operators.cpp;util.cpp;value.cpp;query.cpp;sink.cpp;source.cpp;transaction.cpp;view.cpp;xml*" ClassadSrcs)
	add_library( classads STATIC ${ClassadSrcs} )
	set_property( TARGET classads PROPERTY FOLDER "libraries" )

endif()

set( CLASSADS_FOUND classads )

if (NOT PROPER)
  add_dependencies( classads pcre )
endif(NOT PROPER)

message (STATUS "external configured (CLASSADS_FOUND=${CLASSADS_FOUND})")
set( CLASSADS_FOUND ${CLASSADS_FOUND} PARENT_SCOPE )
set( HAVE_EXT_CLASSADS ON PARENT_SCOPE )
append_var (CONDOR_EXTERNALS classads)

=== src/classad_analysis/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 


condor_selective_glob( "analysis.*;boolExpr.*;condition.*;multiProfile.*;profile.*;resourceGroup.*;boolValue.*;explain.*;interval.*;result.*" AnalSrcs )

condor_static_lib( analysis "${AnalSrcs}" )
condor_static_lib( conversion "conversion.cpp;conversion.h" )
# # condor_static_lib( gangmatch "portGraph.cpp;gmr.cpp;gangster.cpp")

=== src/condor_amazon/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 



if (HAVE_EXT_GSOAP AND HAVE_EXT_OPENSSL AND HAVE_PTHREADS)

	if (PRE_WSEAPPI_CPP)
	  add_definitions(-DPRE_WSEAPPI_CPP)
	endif(PRE_WSEAPPI_CPP)
	
	set (AMAZON_SOAP_FILES "soapC.cpp;soapClient.cpp;soapH.h;soapStub.h;soapAmazonEC2Object.h;soapAmazonEC2Proxy.h")

	file( GLOB RmvSrcs *ec2* ${AMAZON_SOAP_FILES} soapServer.cpp wsseapi.cpp smdevp.cpp )
	condor_glob( HeaderFiles SourceFiles "${RmvSrcs}" )

	include_directories(${GSOAP_SHARE}/plugin/)
	include_directories(${CMAKE_CURRENT_SOURCE_DIR})
	include_directories(${CMAKE_CURRENT_BINARY_DIR})

	command_target(gen_amazon_soapfiles ${SOAPCPP2} "-L;-w;-x;-I${GSOAP_SHARE}/import:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_SOURCE_DIR}/gsoap_ec2.h" "${AMAZON_SOAP_FILES};soapServer.cpp;AmazonEC2.nsmap")

	condor_exe( amazon_gahp
	"${HeaderFiles};${SourceFiles};${AMAZON_SOAP_FILES};${WSSEAPI};${SMDEVP}" ${C_SBIN}
	"${CONDOR_TOOL_LIBS};${PCRE_FOUND};${OPENSSL_FOUND};${KRB5_FOUND};${GSOAP_FOUND};${ZLIB_FOUND}"
	OFF)

	add_dependencies(gen_amazon_soapfiles gsoap)
	set_source_files_properties (${WSSEAPI} ${SMDEVP} PROPERTIES GENERATED TRUE)

	if (NOT WINDOWS)
      set_source_files_properties( ${WSSEAPI} ${SMDEVP} soapC.cpp soapClient.cpp PROPERTIES COMPILE_FLAGS "-w")
	endif()


	condor_exe_test(ec2_sim "ec2_sim_main.cpp;ec2_sim_impl.cpp;soapC.cpp;soapServer.cpp" "${CONDOR_TOOL_LIBS};${PCRE_FOUND};${OPENSSL_FOUND};${KRB5_FOUND};${GSOAP_FOUND};${ZLIB_FOUND}")

endif()

=== src/condor_birdwatcher/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

if (WINDOWS AND NOT WIN_EXEC_NODE_ONLY)

	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS")
	
	file( GLOB BWSrcs *.cpp *.h *.rc  res/*)
	
	condor_exe( condor_birdwatcher "${BWSrcs}" ${C_SBIN} "" OFF)

else()

	message(STATUS "NOTE: *birdwatcher* targets will not be built WINDOWS=${WINDOWS}")

endif()

=== src/condor_c-gahp/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

if (NOT WIN_EXEC_NODE_ONLY)

	condor_selective_glob( "Pipe*;io*;cgahp*" CGahpSrcs )

	condor_exe( condor_c-gahp "${CGahpSrcs}" ${C_SBIN} "qmgmt;${CONDOR_LIBS};${PCRE_FOUND};${OPENSSL_FOUND};${KRB5_FOUND};${COREDUMPER_FOUND}" OFF )

	condor_selective_glob("Pipe*;schedd*;Sched*;cgahp*" CGahpWorkerSrcs)

	condor_exe( condor_c-gahp_worker_thread "${CGahpWorkerSrcs}" ${C_SBIN} "qmgmt;${CONDOR_LIBS};${PCRE_FOUND};${OPENSSL_FOUND};${KRB5_FOUND};${COREDUMPER_FOUND}" OFF )

endif(NOT WIN_EXEC_NODE_ONLY)

=== src/condor_chirp/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 



condor_static_lib( chirp_client "chirp_client.h;chirp_client.c" )

condor_exe( condor_chirp "condor_chirp.cpp" ${C_LIBEXEC}
"chirp_client;${CONDOR_TOOL_LIBS};${PCRE_FOUND};${OPENSSL_FOUND};${KRB5_FOUND};${GCB_FOUND};${GLOBUS_FOUND}" OFF )

install ( FILES Chirp.jar DESTINATION ${C_LIB} )

if (WANT_FULL_DEPLOYMENT)
    install ( FILES chirp_client.h DESTINATION ${C_INCLUDE})
    if (NOT WINDOWS)
        install (TARGETS chirp_client DESTINATION ${C_LIB})
        install (FILES chirp_client.c chirp_client.h chirp_protocol.h DESTINATION ${C_SRC}/chirp)
    endif(NOT WINDOWS)
endif (WANT_FULL_DEPLOYMENT)

=== src/condor_ckpt/CMakeLists.txt ===
 ###############################################################
 # 
 # Copyright 2011 Red Hat, Inc. 
 # 
 # Licensed under the Apache License, Version 2.0 (the "License"); you 
 # may not use this file except in compliance with the License.  You may 
 # obtain a copy of the License at 
 # 
 #    http://www.apache.org/licenses/LICENSE-2.0 
 # 
 # Unless required by applicable law or agreed to in writing, software 
 # distributed under the License is distributed on an "AS IS" BASIS, 
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and 
 # limitations under the License. 
 # 
 ############################################################### 

##############################################################
## Abandon all hope ye who enter here:
## this be the mystical workings of the infamous
## standard universe.  No moral platitudes apply, so
## batton your hatches, find yourself a cup of ale,
## because you are about to loose your mind.
## YARRR!
##############################################################
if( STD_UNIVERSE )

	###########################################################################
	# NOTE: all glibc ripping which existed here has moved to syscall_lib
	# where it is actually bound in.
	###########################################################################
	set( CMAKE_BUILD_TYPE Debug )
	
	###########################################################################
	# define the actual targets, and copiler options
	###########################################################################
	add_definitions( ${STD_U_C_FLAGS} -DFILE_TABLE -DIN_CKPT_LIB)
	include_directories(${CONDOR_SOURCE_DIR}/src/condor_ckpt)
	condor_selective_glob("*file*;signals*;image*;machdep.LINUX.cpp;tmp_*;syscall_*;fake_*;condor_error*;eprintf*;shared_*;malloc-user*;gto*;maps*" CommonCkptSrcs )

	# from what I can tell this doesn't even work.
	#if (DOES_COMPRESS_CKPT)
	#	add_definitions(-DCOMPRESS_CKPT -DMORECORE=condor_morecore -DHAVE_MMAP=0 -Dmalloc_getpagesize=8192)
	#	condor_selective_glob("malloc-condor.cpp;malloc.cpp" CompressSrcs)
	#endif(DOES_COMPRESS_CKPT)

	# we create a local lib, but it's never actually used
	# instead condorsyscall will rip out the target refs.
	#condor_static_lib( ckpt "${CommonCkptSrcs};${CompressSrcs}")
	add_library(ckpt STATIC EXCLUDE_FROM_ALL ${CommonCkptSrcs};${CompressSrcs})
	add_dependencies( ckpt syscall_numbers )

endif(STD_UNIVERSE)

=== debian/changelog ===
condor (7.6.0-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 19 Apr 2011 19:43:51 -0400

condor (7.6.0-1) UNRELEASED; urgency=low

  * New upstream stable release.
  * Adjusted patches.
  * Added missing debhelper dependencies.
  * Added missing sysv-style init script symlinks.
  * Fixed various typos.
  * Prevent local classad header files from being used, in favor of
    system-wide libclassad installations.

 -- Michael Hanke <mih@debian.org>  Mon, 18 Apr 2011 22:07:08 -0400

condor (7.5.5+git995-ga9a0d2a-1) UNRELEASED; urgency=low

  * New upstream code from V7.6 branch. Updated various patches, removed some
    merged ones.
  * No longer compile the 'contrib' parts -- upstream recommended it due to
    lack of stability.
  * Added patch to create /var/run/condor upon daemon startup with proper
    permissions. That helps to conform to the FHS that declares /var/run as
    volatile and to be cleaned upon boot. Moreover, some systems have /var/run
    mounted as tmpfs.

 -- Michael Hanke <mih@debian.org>  Tue, 15 Mar 2011 16:37:56 -0400

condor (7.5.4+git567-gb10f6b4-2) UNRELEASED; urgency=low

  * Applied patch to allow adding submit specs in condor_run calls. Thanks to
    Matthew Farrellee <matt@redhat.com>.
  * Improved configuration for a "Personal Condor". Bind network traffic to
    the loopback interface. Better documentation in the generated
    configuration file.

 -- Michael Hanke <mih@debian.org>  Thu, 06 Jan 2011 17:28:59 -0500

condor (7.5.4+git567-gb10f6b4-1) UNRELEASED; urgency=low

  * Initial release (Closes: #233482).

 -- Michael Hanke <mih@debian.org>  Sun, 26 Dec 2010 10:10:19 -0500

=== debian/control ===
Source: condor
Section: science
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), po-debconf, cmake, libpq-dev, libcurl4-openssl-dev, zlib1g-dev, libglobus-gss-assist-dev, libglobus-gram-protocol-dev, libglobus-gram-client-dev, libglobus-gass-server-ez-dev, libglobus-ftp-client-dev, libclassad-dev, latex2html, transfig, libpcre3-dev, libboost-dev, libexpat1-dev, libxml2-dev, libvirt-dev, zlib1g-dev, gcj-jdk | java-compiler
Standards-Version: 3.9.1


Package: condor
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, debconf (>= 0.5) | debconf-2.0, adduser
Description: workload management system
 Like other full-featured batch systems, Condor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to Condor,
 Condor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing system, Condor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. Condor
 does not require a shared file system across machines - if no shared file
 system is available, Condor can transfer the job's data files on behalf of
 the user.
 .
 The Debian package uses Debconf to determine an appropriate initial
 configuration for a machine that shall join an existing Condor pool, and
 moreover, allows creating a "Personal" (single machine) Condor pool
 automatically.


#Package: condor-tests
#Architecture: any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Description: test suite for Condor
# Like other full-featured batch systems, Condor provides a job queueing
# mechanism, scheduling policy, priority scheme, resource monitoring, and
# resource management. Users submit their serial or parallel jobs to Condor,
# Condor places them into a queue. It chooses when and where to run the jobs
# based upon a policy, carefully monitors their progress, and ultimately
# informs the user upon completion.
# .
# Unlike more traditional batch queueing system, Condor can also effectively
# harness wasted CPU power from otherwise idle desktop workstations. Condor
# does not require a shared file system across machines - if no shared file
# system is available, Condor can transfer the job's data files on behalf of
# the user.
# .
# This package provides Condor's test-suite that can be used to verify
# proper functioning of a Condor installation.


Package: condor-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}
Description: documentation for Condor
 Like other full-featured batch systems, Condor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to Condor,
 Condor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing system, Condor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. Condor
 does not require a shared file system across machines - if no shared file
 system is available, Condor can transfer the job's data files on behalf of
 the user.
 .
 This package provides Condor's documentation in HTML and PDF format, as well
 as configuration and other examples.


Package: condor-dbg
Section: debug
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, condor (= ${binary:Version})
Description: debugging symbols for Condor
 Like other full-featured batch systems, Condor provides a job queueing
 mechanism, scheduling policy, priority scheme, resource monitoring, and
 resource management. Users submit their serial or parallel jobs to Condor,
 Condor places them into a queue. It chooses when and where to run the jobs
 based upon a policy, carefully monitors their progress, and ultimately
 informs the user upon completion.
 .
 Unlike more traditional batch queueing system, Condor can also effectively
 harness wasted CPU power from otherwise idle desktop workstations. Condor
 does not require a shared file system across machines - if no shared file
 system is available, Condor can transfer the job's data files on behalf of
 the user.
 .
 This package provides the debugging symbols for Condor.

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local upstream branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'V*' $$(git merge-base -a HEAD upstream) | sed -e 's/^V//' -e 's/_/./g' -e 's/-/+git/')

# one ring to rule them all ...
%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS:BOOL=ON \
		-DPROPER:BOOL=ON \
		-DCLIPPED:BOOL=ON \
		-DUW_BUILD:BOOL=OFF \
		-D_DEBUG:BOOL=TRUE \
		-DBUILDID:STRING="Debian [$(debver)]"\
		-DWITH_GSOAP:BOOL=OFF \
		-DCMAKE_SKIP_BUILD_RPATH:BOOL=ON \
		-DCMAKE_INSTALL_RPATH:STRING="/usr/lib/condor" \
		-DHAVE_EXT_CLASSADS:BOLL=ON -DCLASSADS_FOUND=classad_ns \
		-DHAVE_EXT_CURL:BOOL=ON \
		-DHAVE_EXT_OPENSSL:BOOL=ON \
		-DHAVE_EXT_BOOST:BOOL=ON \
		-DHAVE_EXT_GLOBUS:BOOL=ON \
		-DHAVE_EXT_KRB5:BOOL=ON \
		-DHAVE_EXT_LIBVIRT:BOOL=ON \
		-DHAVE_EXT_LIBXML2:BOOL=ON \
		-DHAVE_EXT_OPENSSL:BOOL=ON \
		-DHAVE_EXT_PCRE:BOOL=ON \
		-DHAVE_EXT_ZLIB:BOOL=ON
		# upstream says: tests aren't reliablei enough yet
		#-DBUILD_TESTS:BOOL=OFF \
		# upstream says: contrib is to unstable for initial packaging
		#-DWANT_CONTRIB:BOOL=OFF \
		#-DHAVE_EXT_POSTGRESQL:BOOL=OFF \
		#-DEXTERNAL_INCLUDES:STRING="/usr/include/postgresql" \


override_dh_auto_build: doc/build
	dh_auto_build -- VERBOSE=1
	# post-fixing things that have to be done due to changes introduced by
	# repackaging
	# 1. rebuild java stuff
	cd src/condor_starter.V6.1 && javac *.java
	cp src/condor_chirp/*.java src/condor_chirp/chirp/java/client/
	$(MAKE) -C src/condor_chirp/chirp/java/client/
	cp src/condor_chirp/chirp/java/client/Chirp.jar src/condor_chirp/


doc/build:
	mkdir -p $@
	$(MAKE) -C doc/doc release-pdf MANDIR=$(CURDIR)/$@/pdf \
		TARGETDIR=$(CURDIR)/$@/pdf
	cd doc/doc && latex2html -address condor-admin@cs.wisc.edu -split 4 \
		-link 2 -show_section_numbers -antialias -tmp /tmp -long_titles 3 \
		-toc_depth 2 -local_icons ref.tex
	cp -r doc/doc/ref $@/html
	$(MAKE) -C doc/doc/makeman makeman
	for html in $@/html/condor_*.html; do \
		doc/doc/makeman/makeman -v -i $$html -s 1; \
	done
	mkdir -p $@/man
	# sanitize and copy
	for man in $@/html/condor_*.1; do \
		sed -r -e 's,$@/html/,,' -e "s/1 date$$/1 \"$$(date +'%B %Y')\"/" \
			   -e '/\.SH Name/{ n; n; s/\W/ \\- /; }' -e 's/ (\.[A-Z])/\1/' \
			   -e 's/^\s//' < $$man > $@/man/$$(basename $$man) ; \
	done
	rm $@/html/condor_*.1


override_dh_auto_install:
	dh_auto_install
	# fix various bits -- upstream should do that
	chmod -x debian/tmp/usr/etc/sysconfig/condor
	chmod -x debian/tmp/usr/lib/*.pm
	# things we do not need in Debian
	rm debian/tmp/usr/sbin/condor_install* \
		debian/tmp/usr/sbin/condor_cleanup* \
		debian/tmp/usr/sbin/install_release \
		debian/tmp/usr/sbin/cleanup_release
	# place condor config file with default Debian config
	sed -e 's,^\(CONDOR_HOST\s*=\).*,\1 \$$(FULL_HOSTNAME),' \
		-e 's,^\(RELEASE_DIR\s*=\).*,\1 /usr,' \
		-e 's,^\(MAIL\s*=\).*,\1 /usr/bin/mail,' \
		-e 's,^\(LOCAL_DIR\s*=\).*,\1 /var,' \
		-e 's,^\(LOCAL_CONFIG_FILE\s*=\).*,\1 /etc/condor/condor_config.local,' \
		-e 's,^\(LOCAL_CONFIG_DIR\s*=\).*,\1 /etc/condor/config.d,' \
		-e 's,^[#]*\(REQUIRE_LOCAL_CONFIG_FILE\s*=\).*,\1 FALSE,'  \
		-e 's,^[#]*\(CONDOR_DEVELOPERS\s*=\).*,\1 NONE,'  \
		-e 's,^[#]*\(CONDOR_DEVELOPERS_COLLECTOR\s*=\).*,\1 NONE,'  \
		-e 's,^\(CONDOR_ADMIN\s*=\).*,\1 root@localhost,' \
		-e 's,^\(UID_DOMAIN\s*=\).*,\1 \$$(FULL_HOSTNAME),' \
		-e 's,^\(FILESYSTEM_DOMAIN\s*=\).*,\1 \$$(FULL_HOSTNAME),' \
		-e 's,^\(COLLECTOR_NAME\s*=\).*,\1 Debian Condor Pool,' \
		-e 's,^\(ALLOW_WRITE\s*=\).*,\1 \$$(FULL_HOSTNAME),' \
		-e 's/^\(DAEMON_LIST\s*=\).*/\1 MASTER, STARTD, SCHEDD, COLLECTOR, NEGOTIATOR/' \
		-e 's,^\(LOCK\s*=\).*,\1 \$$(LOCAL_DIR)/lock/condor,' \
		-e 's,^\(LOG\s*=\).*,\1 \$$(LOCAL_DIR)/log/condor,' \
		-e 's,^\(SPOOL\s*=\).*,\1 \$$(LOCAL_DIR)/spool/condor,' \
		-e 's,^\(EXECUTE\s*=\).*,\1 \$$(LOCAL_DIR)/lib/condor/execute,' \
		-e '/^EXECUTE\s*=/a\LOCAL_UNIV_EXECUTE\t\t= \$$(LOCAL_DIR)/spool/condor/local_univ_execute' \
		-e 's,^\(CRED_STORE_DIR\s*=\).*,\1 \$$(LOCAL_DIR)/lib/condor/cred_dir,' \
		-e 's,^\(LIB\s*=\).*,\1 \$$(RELEASE_DIR)/lib/condor,' \
		-e 's,^\(INCLUDE\s*=\).*,\1 \$$(RELEASE_DIR)/include/condor,' \
		-e 's,^\(LIBEXEC\s*=\).*,\1 \$$(RELEASE_DIR)/lib/condor/libexec,' \
		-e 's,^\(SHARE\s*=\).*,\1 \$$(RELEASE_DIR)/share/condor,' \
		-e '/^LOG\s*=/a\RUN\t\t= \$$(LOCAL_DIR)/run/condor' \
		-e 's,^\(PROCD_ADDRESS\s*=\).*,\1 \$$(RUN)/procd_pipe,' \
		< debian/tmp/usr/etc/examples/condor_config \
		> debian/condor/etc/condor/condor_config
	# and now Debian's init script
	sed -e 's,/etc/sysconfig/condor,/etc/default/condor,g' \
		< debian/tmp/usr/etc/init.d/condor > debian/condor/etc/init.d/condor


override_dh_auto_clean:
	dh_auto_clean
	# clean up our own mess
	-find $(CURDIR) -name '*.class' -delete -o -name '*.jar' -delete
	-rm src/condor_chirp/chirp/java/client/*.java
	# clean leftovers of upstream clean run
	-rm src/condor_tests/list*
	-rm src/condor_examples/condor.boot.debian \
		src/condor_examples/condor_config.patched
	-rm src/condor_tests/Condor.pm src/condor_tests/CondorPersonal.pm \
		src/condor_tests/CondorTest.pm src/condor_tests/CondorUtils.pm \
		src/condor_tests/batch_test.pl
	-rm src/condor_utils/param_info.c
	# docs
	$(MAKE) -C doc/doc reallyclean
	-rm -rf doc/doc/just-man-pages
	-rm -rf doc/build
	-rm -f doc/doc/symbol.tex doc/doc/figuresizing.tex doc/doc/fontsize.tex


override_dh_clean:
	dh_clean
	debconf-updatepo


# PDF come in dedicated doc package -- no compression
override_dh_compress:
	dh_compress -X.pdf


override_dh_installinit:
	dh_installinit -pcondor --onlyscripts --noscripts


override_dh_strip:
	dh_strip --dbg-package=condor-dbg


dfsg-source-tree:
	-quilt pop -a
	@echo "Testing for uncommited changes"
	@git diff --quiet HEAD
# remove all java binaries
# and other stuff that will be deleted during clean runs anyway
	find $(CURDIR) -regextype posix-egrep -regex '.*(\.(jar|class|pdf)|TAGS)' -print0 \
		| xargs -0 -i git rm -f --ignore-unmatch -- {} || true
# commit any cleanup results
	@if ! git diff --quiet HEAD; then \
		git commit -e -a -m "Remove unwanted (e.g. non-DFSG) compliant content"; \
	fi


# make orig tarball from repository content
get-orig-source: dfsg-source-tree
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz
	git archive --format=tar --prefix=$(srcpkg)-doc-$(gitver)/ \
				--remote=doc/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig-doc.tar.gz
